| OpenZWave Library 1.6.0

Public Member Functions | Public Attributes | List of all members
OpenZWave::SimpleHTTPClient::Request Struct Reference
Basic HTTP(s) Client

Main class for making a HTTP request to a HTTP(s) server. More...

`#include <HttpClient.h>`

## Public Member Functions
| Request ()
| Request (const std::string &h, const std::string &res, int p=80, void *u=NULL)

## Public Attributes
std::string | protocol
std::string | host
std::string | header
std::string | resource
std::string | extraGetHeaders
int | port
void * | user
bool | useSSL
POST | post

## Detailed Description

Main class for making a HTTP request to a HTTP(s) server.

Make a request to a HTTP Server

## Constructor & Destructor Documentation

## ◆ Request() [1/2]

OpenZWave::SimpleHTTPClient::Request::Request | ( |  | ) |
| inline

## ◆ Request() [2/2]

OpenZWave::SimpleHTTPClient::Request::Request | ( | const std::string & | h,
|  | const std::string & | res,
|  | int | p = `80`,
|  | void * | u = `NULL`
| ) |  |
| inline

## Member Data Documentation

## ◆ extraGetHeaders

std::string OpenZWave::SimpleHTTPClient::Request::extraGetHeaders

## ◆ header

std::string OpenZWave::SimpleHTTPClient::Request::header

## ◆ host

std::string OpenZWave::SimpleHTTPClient::Request::host

## ◆ port

int OpenZWave::SimpleHTTPClient::Request::port

## ◆ post

POST OpenZWave::SimpleHTTPClient::Request::post

## ◆ protocol

std::string OpenZWave::SimpleHTTPClient::Request::protocol

## ◆ resource

std::string OpenZWave::SimpleHTTPClient::Request::resource

## ◆ user

void* OpenZWave::SimpleHTTPClient::Request::user

## ◆ useSSL

bool OpenZWave::SimpleHTTPClient::Request::useSSL

The documentation for this struct was generated from the following file:

- HttpClient.h